macOS: error connecting to HTTPS/WMS endpoint

2017-11-27 06:18 PM - Adriano Borgobello

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.18.14 Regression?: No

Operating System: macOS 10.11.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 25463

Description

I tried to load this WMS url:

<

https://wms.cartografia.agenziaentrate.gov.it/inspire/wms/ows01.php?SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetCap

bilities>

but after some tries, where I get only error messages ("Impossibile scaricare le capabilities:Download di capabilities non riuscito:

Connection closed"),

I noticed that QGis trunks the url every time and editing the connection I can see the url shrank to:

<https://wms.cartografia.agenziaentrate.gov.it/inspire/wms/ows01.php?VERSION=1.3.0&#38;>

I'm not sure that the error is related to the cut, because reading some comments on a forum, it seems that the cut happens to other people

to (I guess with Windows version of QGis), but they seem able to load the WMS instead.

I can only add that other WMS (all with shorter url), work flawless.

History

#1 - 2017-11-27 11:17 PM - Giovanni Manghi

- Status changed from Open to Feedback

I can add layers from that WMS on Linux without issue. The truncating of the address is not the point, the request "getcapabilities" is to see (for example in

a browser) the metadata and capabilities of the service. When requesting a map the request is of "getmap" type, added by QGIS automatically.

Can't test anymore on macOS (lost access to a macOS machine recently).

#2 - 2017-11-28 08:31 PM - Adriano Borgobello

Same problem from home (with another internet connection) on my laptop with macOS 10.11.6 and QGis 2.18.7. And no problem with QGis on my crappy

Windows tablet with Windows 10. So it seems definitely a macOS version bug.

#3 - 2017-11-30 04:46 PM - Giovanni Manghi

The message ("Impossibile scaricare le capabilities:Download di capabilities non riuscito: Connection closed")seems really to point to some connection (or

connection configuration) issue, rather than a QGIS one. Have you tried on someone else Mac?

#4 - 2017-11-30 04:47 PM - Giovanni Manghi

- Subject changed from Adding WMS Layer, will trunk the url and return capabilities error to macOS: error connecting to WMS endpoint
#5 - 2017-11-30 05:07 PM - Adriano Borgobello

As I wrote above, the issue happens on both may Macs, at home and at office. But other WMS works flawless, and the problematic WMS works with

windows version of QGis.

#6 - 2017-11-30 05:08 PM - Giovanni Manghi

Adriano Borgobello wrote:

As I wrote above, the issue happens on both may Macs, at home and at office. But other WMS works flawless, and the problematic WMS works with

windows version of QGis.

your macs may share some kind of network configuration that could be the culprit. The error seems clear, the connection is closed (so is established in first

place).

#7 - 2017-12-05 11:31 AM - nicola sangiorgi

hi, I have a MacOS 10.9.5, Qgis 2.14.3 and the same problem with that URL!

I asked info to the technical service and the answer was: "è probabile che la versione del software QGIS per MAC non supporti TLS 1.2 di SSL V3 e per

questo motivo non riesca a richiamare il servizio, che è allineato con quanto richiesto dall’Agenzia per l’Italia Digitale." 

seems to be a bug of Qgis version for MacOS, it don't support the TLS 1.2 protocol!

#8 - 2018-01-24 01:40 AM - Darren Kavanagh

I have run into the same issue on my Mac (10.13.2) using QGIS (2.18.15 via Kyngchaos). Problem would seem to be related to the HTTPS protocol. For

example:

HTTPS does not work - 

https://gismaps.kingcounty.gov/arcgis/rest/services/BaseMaps/KingCo_Aerial_1936/MapServer/WMTS/

while HTTP Works -

http://gismaps.kingcounty.gov/arcgis/rest/services/BaseMaps/KingCo_Aerial_1936/MapServer/WMTS/

Is this a build/compile issue?

#9 - 2018-08-15 11:47 PM - Giovanni Manghi

- Subject changed from macOS: error connecting to WMS endpoint to macOS: error connecting to HTTPS/WMS endpoint

Still true on 3.2?

#10 - 2019-01-21 12:34 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#11 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
